Bug 1801397 - etcd container needs to wait until it is added to etcd membership list before starting
Summary: etcd container needs to wait until it is added to etcd membership list before...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: David Eads
QA Contact: ge liu
URL:
Whiteboard: no-qe
Depends On:
Blocks: 1804682
TreeView+ depends on / blocked
 
Reported: 2020-02-10 19:16 UTC by David Eads
Modified: 2020-05-04 11:35 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1804682 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:35:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 110 None closed bug 1801397: wait for membership before starting 2020-03-21 03:09:52 UTC
Github openshift cluster-etcd-operator pull 112 None closed bug 1801397: use a static pod manager 2020-03-21 03:09:51 UTC
Github openshift cluster-etcd-operator pull 142 None closed bug 1801397: static pod manager 2020-03-21 03:09:52 UTC
Github openshift cluster-etcd-operator pull 150 None closed bug 1801397: static pod manager 2020-03-21 03:09:51 UTC
Github openshift cluster-etcd-operator pull 155 None closed user proper certs in metrics container 2020-03-21 03:09:51 UTC
Github openshift cluster-etcd-operator pull 157 None closed bug 1801397: pkg/operator/guardbudget: delete MCO deployment 2020-03-21 03:09:50 UTC
Github openshift cluster-etcd-operator pull 159 None closed bug 1801397: pkg/operator/guardbudget: cleanup MCO quorum-guard 2020-03-21 03:09:50 UTC
Github openshift cluster-etcd-operator pull 160 None closed bug 1801397: pkg/operator/guardbudget: scale down MCO quorum-guard 2020-03-21 03:09:50 UTC
Github openshift cluster-etcd-operator pull 162 None closed bug 1801397: Make existing pdb work 2020-03-21 03:09:50 UTC
Github openshift machine-config-operator pull 1473 None closed bug 1801397: temporarily skip setting failures on degraded machine config pool 2020-03-21 03:09:50 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:35:55 UTC

Description David Eads 2020-02-10 19:16:08 UTC

Comment 3 errata-xmlrpc 2020-05-04 11:35:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.